GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ChannelInterface Class Referenceabstract

`#include <channel_interface.h>`

## Public Member Functions
virtual | ~ChannelInterface ()
virtual void * | RegisterMethod (const char *method_name)=0
virtual Call | CreateCall (const RpcMethod &method, ClientContext *context, CompletionQueue *cq)=0
Public Member Functions inherited from grpc::CallHook
virtual | ~CallHook ()
virtual void | PerformOpsOnCall (CallOpSetInterface *ops, Call *call)=0

## Constructor & Destructor Documentation

virtual grpc::ChannelInterface::~ChannelInterface | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual Call grpc::ChannelInterface::CreateCall | ( | const RpcMethod & | method,
|  | ClientContext * | context,
|  | CompletionQueue * | cq
| ) |  |
| pure virtual

Implemented in grpc::Channel.

virtual void* grpc::ChannelInterface::RegisterMethod | ( | const char * | method_name | ) |
| pure virtual

Implemented in grpc::Channel.

The documentation for this class was generated from the following file:

- include/grpc++/channel_interface.h